# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Geo/Hash/XS.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name Geo-Hash-Grid
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Make a grid based off of GeoHashes
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AW/AWOHLD/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Sometimes you need a simple grid to cover a geographic area.  This is a pretty
easy way to get one that covers a geographic box and with a little spillover.

This module inherits from Geo::Hash::XS and subclasses all it's methods.

    use Geo::Hash::Grid;
_
    my $grid = Geo::Hash::Grid->new(
        sw_lat    => $south_west_latitude,
        sw_lon    => $south_west_longidude,
        ne_lat    => $north_east_latitude,
        ne_lon    => $north_east_longitude,
        precision => 8,
    );
_
    my $hash_count   = $grid->count;
_
    my $geohash_list = $grid->hashes;
_
    my $origin_list  = $grid->origins;
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

